GLM_GTX_transform2: Extra transformation matrices

- Main Page
- Modules
- Namespaces
- Classes
- Files

Functions

# GLM_GTX_transform2: Extra transformation matrices

GTX Extensions (Experimental)

Add extra transformation matrices. More...

## Functions

template<typename T >
detail::tmat3x3< T > | proj2D (const detail::tmat3x3< T > &m, const detail::tvec3< T > &normal)
template<typename T >
detail::tmat4x4< T > | proj3D (const detail::tmat4x4< T > &m, const detail::tvec3< T > &normal)
template<typename valType >
detail::tmat4x4< valType > | scaleBias (valType scale, valType bias)
template<typename valType >
detail::tmat4x4< valType > | scaleBias (detail::tmat4x4< valType > const &m, valType scale, valType bias)
template<typename T >
detail::tmat3x3< T > | shearX2D (detail::tmat3x3< T > const &m, T y)
template<typename T >
detail::tmat4x4< T > | shearX3D (const detail::tmat4x4< T > &m, T y, T z)
template<typename T >
detail::tmat3x3< T > | shearY2D (detail::tmat3x3< T > const &m, T x)
template<typename T >
detail::tmat4x4< T > | shearY3D (const detail::tmat4x4< T > &m, T x, T z)
template<typename T >
detail::tmat4x4< T > | shearZ3D (const detail::tmat4x4< T > &m, T x, T y)

## Detailed Description

Add extra transformation matrices.

<glm/gtx/transform2.hpp> need to be included to use these functionalities.

## Function Documentation

detail::tmat3x3<T> glm::gtx::transform2::proj2D | ( | const detail::tmat3x3< T > & | m,
|  | const detail::tvec3< T > & | normal
| ) |  |

Build planar projection matrix along normal axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::proj3D | ( | const detail::tmat4x4< T > & | m,
|  | const detail::tvec3< T > & | normal
| ) |  |

Build planar projection matrix along normal axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<valType> glm::gtx::transform2::scaleBias | ( | valType | scale,
|  | valType | bias
| ) |  |

Build a scale bias matrix.

From GLM_GTX_transform2 extension.

detail::tmat4x4<valType> glm::gtx::transform2::scaleBias | ( | detail::tmat4x4< valType > const & | m,
|  | valType | scale,
|  | valType | bias
| ) |  |

Build a scale bias matrix.

From GLM_GTX_transform2 extension.

detail::tmat3x3<T> glm::gtx::transform2::shearX2D | ( | detail::tmat3x3< T > const & | m,
|  | T | y
| ) |  |

Transforms a matrix with a shearing on X axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::shearX3D | ( | const detail::tmat4x4< T > & | m,
|  | T | y,
|  | T | z
| ) |  |

Transforms a matrix with a shearing on X axis From GLM_GTX_transform2 extension.

detail::tmat3x3<T> glm::gtx::transform2::shearY2D | ( | detail::tmat3x3< T > const & | m,
|  | T | x
| ) |  |

Transforms a matrix with a shearing on Y axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::shearY3D | ( | const detail::tmat4x4< T > & | m,
|  | T | x,
|  | T | z
| ) |  |

Transforms a matrix with a shearing on Y axis.

From GLM_GTX_transform2 extension.

detail::tmat4x4<T> glm::gtx::transform2::shearZ3D | ( | const detail::tmat4x4< T > & | m,
|  | T | x,
|  | T | y
| ) |  |

Transforms a matrix with a shearing on Z axis.

From GLM_GTX_transform2 extension.